API referenceComments
GET /inbox/comments
Comments (with replies, parentId set) of a Postgale post (postId) or of any post of an account (accountId + platformPostId). Instagram, Facebook, Threads and X
GET
BearerAuthheader
AuthorizationBearer <token>API key sk_...
postId?stringPostgale post id
accountId?stringAccount id (with platformPostId, or to filter a post's targets)
platformPostId?stringPlatform post/media id
limit?integerMaximum items (default 50, max 100)
Range
1 <= value <= 100Default
50after?stringPaging cursor
{comments, next?, errors?}: errors lists targets that failed when a post has several
application/json- response
postId?stringcomments?array<>next?stringPaging cursor (pass as after)
errors?array<>curl -X GET 'https://example.com/api/v1/inbox/comments'Example Response
{ "postId": "string", "comments": [ { "id": "string", "text": "string", "username": "string", "authorId": "string", "timestamp": "string", "likeCount": 0, "replyCount": 0, "hidden": true, "parentId": "string", "platform": "string", "accountId": "string", "platformPostId": "string" } ], "next": "string", "errors": [ { "accountId": "string", "platform": "string", "code": "string", "message": "string" } ]}